Package org.firebirdsql.gds

## Enum ClumpletReader.ClumpletType

- java.lang.Object
- - java.lang.Enum<ClumpletReader.ClumpletType>
  - - org.firebirdsql.gds.ClumpletReader.ClumpletType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ClumpletReader.ClumpletType>`
  Enclosing class:
    ClumpletReader

      public static enum ClumpletReader.ClumpletType
      extends java.lang.Enum<ClumpletReader.ClumpletType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BigIntSpb` |
    `ByteSpb` |
    `IntSpb` |
    `SingleTpb` |
    `StringSpb` |
    `TraditionalDpb` |
    `Wide` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ClumpletReader.ClumpletType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ClumpletReader.ClumpletType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TraditionalDpb

          public static final ClumpletReader.ClumpletType TraditionalDpb

    - #### SingleTpb

          public static final ClumpletReader.ClumpletType SingleTpb

    - #### StringSpb

          public static final ClumpletReader.ClumpletType StringSpb

    - #### IntSpb

          public static final ClumpletReader.ClumpletType IntSpb

    - #### BigIntSpb

          public static final ClumpletReader.ClumpletType BigIntSpb

    - #### ByteSpb

          public static final ClumpletReader.ClumpletType ByteSpb

    - #### Wide

          public static final ClumpletReader.ClumpletType Wide

  - ### Method Detail

    - #### values

          public static ClumpletReader.ClumpletType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClumpletReader.ClumpletType c : ClumpletReader.ClumpletType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClumpletReader.ClumpletType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null